This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 699821 - cannot enable wireless
cannot enable wireless
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
15
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-26 12:54 EDT by Martin
Modified: 2011-10-20 09:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-16 07:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
messages (49.93 KB, application/octet-stream)
2011-05-12 08:52 EDT, Martin
no flags Details
iwlist wlan0 scan (12.74 KB, application/octet-stream)
2011-05-12 08:54 EDT, Martin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 31002 None None None Never

  None (edit)
Description Martin 2011-04-26 12:54:54 EDT
Description of problem:
I have a Packard Bell dot u netbook. Running Fedora 15 beta from a liveUSB I cannot enable wireless.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Take one Packard Bell dot u and run Fedora 15 beta from a liveUSB.
2.Click on the network icon in the top left corner.
3.Click enable wireless.
  
Actual results:
Wireless is not enabled.

Expected results:
Wireless is enabled.

Additional info:
Exactly the same problem is encountered after an update of Fedora 14 though not on the initial install of Fedora 14.
Comment 1 Jirka Klimes 2011-04-27 10:23:54 EDT
Would you provide:
1. output of nm-tool command
2. output of lspci command
3. kernel version (both for F15 and updated F14)
Comment 2 Martin 2011-04-27 17:24:15 EDT
1.
NetworkManager Tool

State: connected (global)

- Device: em1  [Wired connection 1] --------------------------------------------
  Type:              Wired
  Driver:            atl1c
  State:             connected
  Default:           yes
  HW Address:        00:26:2D:A8:A6:B4

  Capabilities:
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Properties
    Carrier:         on

  IPv4 Settings:
    Address:         192.168.0.107
    Prefix:          24 (255.255.255.0)
    Gateway:         192.168.0.1

    DNS:             192.168.0.1


- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 WiFi
  Driver:            ath9k
  State:             unavailable
  Default:           no
  HW Address:        70:F1:A1:6A:A2:2D

  Capabilities:

  Wireless Properties
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points 

2.
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
01:00.0 Ethernet controller: Atheros Communications AR8151 v1.0 Gigabit Ethernet (rev c0)
02:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 05)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 05)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 05)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 05)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 05)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 05)

3.
2.6.38.2-9.fc15.i686

I can't give the kernel version for the fedora 14 update since I don't want to lose wireless. I've already had to reinstall once.
Comment 3 Jirka Klimes 2011-05-04 04:41:25 EDT
There were some issues in ath9k driver in 2.6.38. They should be addressed in 2.6.38-5 in Fedora, though. Consider updating to the newest kernel.

See also bug 698978.
Comment 4 Martin 2011-05-04 19:31:22 EDT
I now have fedora 15 installed and fully updated with kernel 2.6.38.5-22.fc15.i686, but the problem persists.
Comment 5 Jirka Klimes 2011-05-05 03:57:27 EDT
Well, would you grab these logs to start debugging:
1. dmesg output
2. /var/log/messages
3. /var/log/wpa_supplicant.log
Comment 6 Martin 2011-05-05 15:28:01 EDT
1.
[    0.442962] pci_bus 0000:02: resource 0 [io  0x1000-0x1fff]
[    0.442965] pci_bus 0000:02: resource 1 [mem 0xd2400000-0xd33fffff]
[    0.442970] pci_bus 0000:02: resource 2 [mem 0xd1400000-0xd23fffff 64bit pref]
[    0.442974] pci_bus 0000:03: resource 4 [io  0x0000-0x0cf7]
[    0.442978] pci_bus 0000:03: resource 5 [io  0x0d00-0xffff]
[    0.442982] pci_bus 0000:03: resource 6 [mem 0x000a0000-0x000bffff]
[    0.442986] pci_bus 0000:03: resource 7 [mem 0xbc000000-0xfeafffff]
[    0.443147] NET: Registered protocol family 2
[    0.443333] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.443655] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.444129] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[    0.444341] TCP: Hash tables configured (established 131072 bind 65536)
[    0.444344] TCP reno registered
[    0.444349] UDP hash table entries: 512 (order: 2, 16384 bytes)
[    0.444359] UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
[    0.444967] NET: Registered protocol family 1
[    0.444988] pci 0000:00:02.0: Boot video device
[    0.466615] PCI: CLS 64 bytes, default 64
[    0.466688] Trying to unpack rootfs image as initramfs...
[    1.110060] Freeing initrd memory: 13612k freed
[    1.115040] Simple Boot Flag at 0x44 set to 0x1
[    1.115706] apm: BIOS not found.
[    1.116035] audit: initializing netlink socket (disabled)
[    1.116052] type=2000 audit(1304622552.963:1): initialized
[    1.135514] highmem bounce pool size: 64 pages
[    1.135523] HugeTLB registered 4 MB page size, pre-allocated 0 pages
[    1.138946] VFS: Disk quotas dquot_6.5.2
[    1.139331] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    1.140926] msgmni has been set to 1669
[    1.141116] SELinux:  Registering netfilter hooks
[    1.141574] NET: Registered protocol family 38
[    1.141685] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    1.141761] io scheduler noop registered
[    1.141765] io scheduler deadline registered
[    1.141792] io scheduler cfq registered (default)
[    1.142136] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    1.142225] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    1.142229] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    1.143016] intel_idle: MWAIT substates: 0x1120
[    1.143019] intel_idle: v0.4 model 0x25
[    1.143022] intel_idle: lapic_timer_reliable_states 0xffffffff
[    1.144343] ACPI: Deprecated procfs I/F for AC is loaded, please retry with CONFIG_ACPI_PROCFS_POWER cleared
[    1.146245] ACPI: AC Adapter [ADP1] (on-line)
[    1.146423] input: Sleep Button as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input0
[    1.152184] ACPI: Sleep Button [SLPB]
[    1.152289] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
[    1.155207] ACPI: Lid Switch [LID0]
[    1.155294] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    1.155300] ACPI: Power Button [PWRF]
[    1.155645] ACPI: acpi_idle yielding to intel_idle
[    1.178241] thermal LNXTHERM:00: registered as thermal_zone0
[    1.178245] ACPI: Thermal Zone [TZS0] (28 C)
[    1.189231] thermal LNXTHERM:01: registered as thermal_zone1
[    1.189235] ACPI: Thermal Zone [TZS1] (30 C)
[    1.189255] ERST: Table is not found!
[    1.189307] isapnp: Scanning for PnP cards...
[    1.189360] ACPI: Deprecated procfs I/F for battery is loaded, please retry with CONFIG_ACPI_PROCFS_POWER cleared
[    1.189371] ACPI: Battery Slot [BAT0] (battery absent)
[    1.546517] isapnp: No Plug & Play device found
[    1.546634] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.547791] Non-volatile memory driver v1.3
[    1.547796] Linux agpgart interface v0.103
[    1.548009] agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
[    1.548130] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
[    1.549039] agpgart-intel 0000:00:00.0: detected 131072K stolen memory
[    1.549265] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xc0000000
[    1.552896] brd: module loaded
[    1.553961] loop: module loaded
[    1.554103] ahci 0000:00:1f.2: version 3.0
[    1.554128] ahci 0000:00:1f.2: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[    1.554197] ahci 0000:00:1f.2: irq 40 for MSI/MSI-X
[    1.554279] ahci 0000:00:1f.2: AHCI 0001.0300 32 slots 4 ports 3 Gbps 0x1 impl SATA mode
[    1.554286] ahci 0000:00:1f.2: flags: 64bit ncq sntf ilck pm led clo pio slum part ems apst 
[    1.554295] ahci 0000:00:1f.2: setting latency timer to 64
[    1.555153] scsi0 : ahci
[    1.555328] scsi1 : ahci
[    1.555457] scsi2 : ahci
[    1.555583] scsi3 : ahci
[    1.555678] ata1: SATA max UDMA/133 abar m2048@0xd4405000 port 0xd4405100 irq 40
[    1.555682] ata2: DUMMY
[    1.555684] ata3: DUMMY
[    1.555686] ata4: DUMMY
[    1.555867] Fixed MDIO Bus: probed
[    1.555976] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.556001] ehci_hcd 0000:00:1a.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    1.556021] ehci_hcd 0000:00:1a.0: setting latency timer to 64
[    1.556027] ehci_hcd 0000:00:1a.0: EHCI Host Controller
[    1.556127] ehci_hcd 0000:00:1a.0: new USB bus registered, assigned bus number 1
[    1.557021] ehci_hcd 0000:00:1a.0: debug port 2
[    1.560944] ehci_hcd 0000:00:1a.0: cache line size of 64 is not supported
[    1.560967] ehci_hcd 0000:00:1a.0: irq 16, io mem 0xd4405c00
[    1.569939] ehci_hcd 0000:00:1a.0: USB 2.0 started, EHCI 1.00
[    1.569999] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.570004] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.570008] usb usb1: Product: EHCI Host Controller
[    1.570012] usb usb1: Manufacturer: Linux 2.6.38.5-22.fc15.i686 ehci_hcd
[    1.570015] usb usb1: SerialNumber: 0000:00:1a.0
[    1.570202] hub 1-0:1.0: USB hub found
[    1.570210] hub 1-0:1.0: 3 ports detected
[    1.570344] ehci_hcd 0000:00:1d.0: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[    1.570366] ehci_hcd 0000:00:1d.0: setting latency timer to 64
[    1.570372] ehci_hcd 0000:00:1d.0: EHCI Host Controller
[    1.570454] ehci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    1.570527] ehci_hcd 0000:00:1d.0: debug port 2
[    1.574435] ehci_hcd 0000:00:1d.0: cache line size of 64 is not supported
[    1.574457] ehci_hcd 0000:00:1d.0: irq 23, io mem 0xd4405800
[    1.583930] ehci_hcd 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[    1.583984] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[    1.583988] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.583992] usb usb2: Product: EHCI Host Controller
[    1.583996] usb usb2: Manufacturer: Linux 2.6.38.5-22.fc15.i686 ehci_hcd
[    1.583999] usb usb2: SerialNumber: 0000:00:1d.0
[    1.584171] hub 2-0:1.0: USB hub found
[    1.584178] hub 2-0:1.0: 3 ports detected
[    1.584301] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.584321] uhci_hcd: USB Universal Host Controller Interface driver
[    1.584433] i8042: PNP: PS/2 Controller [PNP0303:KBD0,PNP0f13:PS2M] at 0x60,0x64 irq 1,12
[    1.600441] serio: i8042 KBD port at 0x60,0x64 irq 1
[    1.600451] serio: i8042 AUX port at 0x60,0x64 irq 12
[    1.600632] mousedev: PS/2 mouse device common for all mice
[    1.601325] rtc_cmos 00:06: RTC can wake from S4
[    1.604018] rtc_cmos 00:06: rtc core: registered rtc_cmos as rtc0
[    1.604055] rtc0: alarms up to one year, y3k, 242 bytes nvram, hpet irqs
[    1.604175] device-mapper: uevent: version 1.0.3
[    1.604310] device-mapper: ioctl: 4.19.1-ioctl (2011-01-07) initialised: dm-devel@redhat.com
[    1.604471] cpuidle: using governor ladder
[    1.604629] cpuidle: using governor menu
[    1.604911] usbcore: registered new interface driver usbhid
[    1.604914] usbhid: USB HID core driver
[    1.604942] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[    1.605241] ip_tables: (C) 2000-2006 Netfilter Core Team
[    1.605275] TCP cubic registered
[    1.605278] Initializing XFRM netlink socket
[    1.605291] NET: Registered protocol family 17
[    1.605315] Registering the dns_resolver key type
[    1.605341] Using IPI No-Shortcut mode
[    1.605495] PM: Hibernation image not present or could not be loaded.
[    1.605513] registered taskstats version 1
[    1.605654] IMA: No TPM chip found, activating TPM-bypass!
[    1.606149]   Magic number: 11:1:192
[    1.606200] acpi device:1e: hash matches
[    1.606316] rtc_cmos 00:06: setting system clock to 2011-05-05 19:09:14 UTC (1304622554)
[    1.606381] Initalizing network drop monitor service
[    1.627551] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input3
[    1.859851] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    1.871898] usb 1-1: new high speed USB device using ehci_hcd and address 2
[    1.881623] psmouse serio1: ID: 73 02 64
[    1.898690] ata1.00: ATA-8: WDC WD2500BEVT-22A23T0, 01.01A01, max UDMA/133
[    1.898701] ata1.00: 488397168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[    1.900573] ata1.00: configured for UDMA/133
[    1.900978] scsi 0:0:0:0: Direct-Access     ATA      WDC WD2500BEVT-2 01.0 PQ: 0 ANSI: 5
[    1.901285] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    1.901311] sd 0:0:0:0: [sda] 488397168 512-byte logical blocks: (250 GB/232 GiB)
[    1.901442] sd 0:0:0:0: [sda] Write Protect is off
[    1.901447] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.901520] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.916285]  sda: sda1 sda2
[    1.917018] sd 0:0:0:0: [sda] Attached SCSI disk
[    1.917118] Freeing unused kernel memory: 568k freed
[    1.917458] Write protecting the kernel text: 3956k
[    1.917516] Write protecting the kernel read-only data: 1912k
[    1.973667] dracut: dracut-009-6.fc15
[    1.986102] usb 1-1: New USB device found, idVendor=8087, idProduct=0020
[    1.986108] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    1.986370] hub 1-1:1.0: USB hub found
[    1.986438] hub 1-1:1.0: 6 ports detected
[    1.989006] dracut: rd.luks=0: removing cryptoluks activation
[    2.005988] udev[112]: starting version 167
[    2.090689] usb 2-1: new high speed USB device using ehci_hcd and address 2
[    2.111189] [drm] Initialized drm 1.1.0 20060810
[    2.124700] Refined TSC clocksource calibration: 1196.999 MHz.
[    2.124707] Switching to clocksource tsc
[    2.151078] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    2.151086] i915 0000:00:02.0: setting latency timer to 64
[    2.181360] i915 0000:00:02.0: irq 41 for MSI/MSI-X
[    2.181370] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    2.181373] [drm] Driver supports precise vblank timestamp query.
[    2.204981] usb 2-1: New USB device found, idVendor=8087, idProduct=0020
[    2.204987] usb 2-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[    2.205330] hub 2-1:1.0: USB hub found
[    2.205823] hub 2-1:1.0: 8 ports detected
[    2.350540] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    2.357903] usb 1-1.6: new high speed USB device using ehci_hcd and address 3
[    2.408140] fbcon: inteldrmfb (fb0) is primary device
[    2.457563] usb 1-1.6: New USB device found, idVendor=0bda, idProduct=0138
[    2.457572] usb 1-1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    2.457580] usb 1-1.6: Product: USB2.0-CRW
[    2.457585] usb 1-1.6: Manufacturer: Generic
[    2.457590] usb 1-1.6: SerialNumber: 20090516388200000
[    2.469517] usbcore: registered new interface driver uas
[    2.472982] Console: switching to colour frame buffer device 170x48
[    2.478204] Initializing USB Mass Storage driver...
[    2.478338] scsi4 : usb-storage 1-1.6:1.0
[    2.478886] usbcore: registered new interface driver usb-storage
[    2.478890] USB Mass Storage support registered.
[    2.482456] fb0: inteldrmfb frame buffer device
[    2.482459] drm: registered panic notifier
[    2.528773] usb 2-1.5: new high speed USB device using ehci_hcd and address 3
[    2.577619] acpi device:02: registered as cooling_device2
[    2.578960] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input4
[    2.579126] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    2.579600] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[    2.601629] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/input/input5
[    2.639832] usb 2-1.5: New USB device found, idVendor=064e, idProduct=a219
[    2.639838] usb 2-1.5: New USB device strings: Mfr=2, Product=1, SerialNumber=3
[    2.639842] usb 2-1.5: Product: 1.3M WebCam
[    2.639846] usb 2-1.5: Manufacturer: Suyin
[    2.639849] usb 2-1.5: SerialNumber: HF1315-S32B-OV01-VA-R02.01.05
[    2.656360] dracut: Starting plymouth daemon
[    2.832318] dracut: rd.dm=0: removing DM RAID activation
[    2.836836] dracut: rd.md=0: removing MD RAID activation
[    3.255275] dracut: Scanning devices sda2  for LVM logical volumes VolGroup/lv_root VolGroup/lv_swap
[    3.273698] dracut: inactive '/dev/VolGroup/lv_swap' [4.69 GiB] inherit
[    3.273835] dracut: inactive '/dev/VolGroup/lv_home' [177.69 GiB] inherit
[    3.273959] dracut: inactive '/dev/VolGroup/lv_root' [50.00 GiB] inherit
[    3.482804] scsi 4:0:0:0: Direct-Access     Generic- Multi-Card       1.00 PQ: 0 ANSI: 0 CCS
[    3.484791] sd 4:0:0:0: Attached scsi generic sg1 type 0
[    3.490378] sd 4:0:0:0: [sdb] Attached SCSI removable disk
[    3.759445] EXT4-fs (dm-1): mounted filesystem with ordered data mode. Opts: (null)
[    3.868884] dracut: Checking filesystems
[    3.868930] dracut: fsck -T -t noopts=_netdev -A -a
[    3.972135] dracut: _Fedora-15-Beta-: clean, 85668/3276800 files, 898003/13107200 blocks
[    3.972406] dracut: Remounting /dev/mapper/VolGroup-lv_root with -o ro,
[    3.992460] EXT4-fs (dm-1): mounted filesystem with ordered data mode. Opts: (null)
[    4.003122] dracut: Mounted root filesystem /dev/mapper/VolGroup-lv_root
[    4.160010] dracut: Switching root
[    4.828291] type=1404 audit(1304622557.722:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
[    5.040904] SELinux: 2048 avtab hash slots, 219457 rules.
[    5.185270] SELinux: 2048 avtab hash slots, 219457 rules.
[    5.638098] SELinux:  9 users, 13 roles, 3602 types, 191 bools, 1 sens, 1024 cats
[    5.638107] SELinux:  81 classes, 219457 rules
[    5.651598] SELinux:  Completing initialization.
[    5.651601] SELinux:  Setting up existing superblocks.
[    5.651616] SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
[    5.651627] SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
[    5.651658] SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
[    5.651669] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[    5.651683] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[    5.651721] SELinux: initialized (dev devtmpfs, type devtmpfs), uses transition SIDs
[    5.652490] SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
[    5.652499] SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
[    5.653593] SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
[    5.653606] SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
[    5.653613] SELinux: initialized (dev devpts, type devpts), uses transition SIDs
[    5.653638] SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses transition SIDs
[    5.653699] SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
[    5.653713] SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
[    5.653738] SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
[    5.653749] SELinux: initialized (dev securityfs, type securityfs), uses genfs_contexts
[    5.653758] SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
[    5.654283] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[    5.654296] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[    5.654714] SELinux: initialized (dev dm-1, type ext4), uses xattr
[    5.658932] type=1403 audit(1304622558.553:3): policy loaded auid=4294967295 ses=4294967295
[    6.029082] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[    6.030341] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.251060] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.253646] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.254371] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.256645] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.257331] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.259548] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.260219] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.263626] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.264347] SELinux: initialized (dev cgroup, type cgroup), uses genfs_contexts
[    6.343628] systemd[1]: systemd 26 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +SYSVINIT +LIBCRYPTSETUP; fedora)
[    6.658858] NET: Registered protocol family 10
[    6.698479] systemd[1]: Set hostname to <localhost.localdomain>.
[    8.503548] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[    8.527099] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[    8.528374] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[    8.529812] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[    8.530356] SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
[    9.211181] SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
[    9.218081] EXT4-fs (dm-1): re-mounted. Opts: (null)
[   10.554191] udev[467]: starting version 167
[   10.844007] intel ips 0000:00:1f.6: No CPUID match found.
[   10.844013] intel ips 0000:00:1f.6: IPS not supported on this CPU
[   10.845715] iTCO_vendor_support: vendor-support=0
[   10.847355] i801_smbus 0000:00:1f.3: PCI INT C -> GSI 19 (level, low) -> IRQ 19
[   10.847365] ACPI: resource 0000:00:1f.3 [io  0x3000-0x301f] conflicts with ACPI region SMBI [io 0x3000-0x300f]
[   10.847369] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   10.897148] atl1c 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   10.897167] atl1c 0000:01:00.0: setting latency timer to 64
[   10.903201] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.06
[   10.903344] iTCO_wdt: Found a HM55 TCO device (Version=2, TCOBASE=0x0460)
[   10.903468] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[   10.920552] wmi: Mapper loaded
[   11.007299] atl1c 0000:01:00.0: version 1.0.1.0-NAPI
[   11.270933] mtp-probe[576]: checking bus 1, device 3: "/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6"
[   11.272560] mtp-probe[576]: bus: 1, device: 3 was not an MTP device
[   11.463894] microcode: CPU0 sig=0x20655, pf=0x10, revision=0x2
[   11.463911] microcode: CPU1 sig=0x20655, pf=0x10, revision=0x2
[   11.465517] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[   11.474360] Linux video capture interface: v2.00
[   11.616642] uvcvideo: Found UVC 1.00 device 1.3M WebCam (064e:a219)
[   11.626460] input: 1.3M WebCam as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/input/input6
[   11.626588] usbcore: registered new interface driver uvcvideo
[   11.626592] USB Video Class driver (v1.0.0)
[   11.752611] cfg80211: Calling CRDA to update world regulatory domain
[   11.921994] acer-wmi: Acer Laptop ACPI-WMI Extras
[   11.927263] acer-wmi: Function bitmap for Communication Button: 0x1
[   11.928465] acer-wmi: Brightness must be controlled by generic video driver
[   11.932363] input: Acer WMI hotkeys as /devices/virtual/input/input7
[   12.490881] atl1c 0000:01:00.0: vpd r/w failed.  This is likely a firmware bug on this device.  Contact the card vendor for a firmware update.
[   12.515256] udev[566]: renamed network interface eth0 to em1
[   12.667837] cfg80211: World regulatory domain updated:
[   12.667844] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   12.667850] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   12.667855] cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   12.667860] cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   12.667864] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   12.667869] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   12.669681] ath9k 0000:02:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[   12.669698] ath9k 0000:02:00.0: setting latency timer to 64
[   13.103321] ath: EEPROM regdomain: 0x65
[   13.103326] ath: EEPROM indicates we should expect a direct regpair map
[   13.103332] ath: Country alpha2 being used: 00
[   13.103334] ath: Regpair used: 0x65
[   13.216710] ieee80211 phy0: Selected rate control algorithm 'ath9k_rate_control'
[   13.217220] Registered led device: ath9k-phy0::radio
[   13.217261] Registered led device: ath9k-phy0::assoc
[   13.217301] Registered led device: ath9k-phy0::tx
[   13.217348] Registered led device: ath9k-phy0::rx
[   13.217359] ieee80211 phy0: Atheros AR9280 Rev:2 mem=0xf8340000, irq=17
[   13.349180] Adding 4915196k swap on /dev/mapper/VolGroup-lv_swap.  Priority:0 extents:1 across:4915196k 
[   13.500600] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[   13.500686] HDA Intel 0000:00:1b.0: irq 42 for MSI/MSI-X
[   13.500815] HDA Intel 0000:00:1b.0: setting latency timer to 64
[   13.694502] ALSA sound/pci/hda/patch_realtek.c:1528: SKU: Nid=0x1d sku_cfg=0x4017992d
[   13.694509] ALSA sound/pci/hda/patch_realtek.c:1530: SKU: port_connectivity=0x1
[   13.694514] ALSA sound/pci/hda/patch_realtek.c:1531: SKU: enable_pcbeep=0x1
[   13.694519] ALSA sound/pci/hda/patch_realtek.c:1532: SKU: check_sum=0x00000007
[   13.694523] ALSA sound/pci/hda/patch_realtek.c:1533: SKU: customization=0x00000099
[   13.694527] ALSA sound/pci/hda/patch_realtek.c:1534: SKU: external_amp=0x5
[   13.694532] ALSA sound/pci/hda/patch_realtek.c:1535: SKU: platform_type=0x1
[   13.694536] ALSA sound/pci/hda/patch_realtek.c:1536: SKU: swap=0x0
[   13.694540] ALSA sound/pci/hda/patch_realtek.c:1537: SKU: override=0x1
[   13.694955] hda_codec: ALC271X: BIOS auto-probing.
[   13.694966] ALSA sound/pci/hda/hda_codec.c:4633: autoconfig: line_outs=1 (0x14/0x0/0x0/0x0/0x0)
[   13.694972] ALSA sound/pci/hda/hda_codec.c:4637:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[   13.694977] ALSA sound/pci/hda/hda_codec.c:4641:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[   13.694982] ALSA sound/pci/hda/hda_codec.c:4642:    mono: mono_out=0x0
[   13.694986] ALSA sound/pci/hda/hda_codec.c:4645:    dig-out=0x1e/0x0
[   13.694990] ALSA sound/pci/hda/hda_codec.c:4646:    inputs:
[   13.694994] ALSA sound/pci/hda/hda_codec.c:4652: 
[   13.695666] ALSA sound/pci/hda/patch_realtek.c:1585: realtek: No valid SSID, checking pincfg 0x4017992d for NID 0x1d
[   13.695672] ALSA sound/pci/hda/patch_realtek.c:1601: realtek: Enabling init ASM_ID=0x992d CODEC_ID=10ec0269
[   13.896378] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input8
[   13.896658] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[   14.016984] cfg80211: Calling CRDA for country: GB
[   14.025095] cfg80211: Regulatory domain changed to country: GB
[   14.025100] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   14.025106] cfg80211:     (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   14.025110] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   14.025114] cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   14.025118] cfg80211:     (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[   14.349294] systemd-fsck[736]: /dev/sda1: clean, 43/128016 files, 67490/512000 blocks
[   14.720506] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[   14.728867] SELinux: initialized (dev sda1, type ext4), uses xattr
[   16.539734] systemd-fsck[791]: /dev/mapper/VolGroup-lv_home: clean, 529/11649024 files, 971465/46579712 blocks
[   16.890981] EXT4-fs (dm-2): mounted filesystem with ordered data mode. Opts: (null)
[   16.890997] SELinux: initialized (dev dm-2, type ext4), uses xattr
[   19.564512] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   21.653406] auditd (939): /proc/939/oom_adj is deprecated, please use /proc/939/oom_score_adj instead.
[   22.206367] atl1c 0000:01:00.0: irq 43 for MSI/MSI-X
[   22.206551] atl1c 0000:01:00.0: atl1c: em1 NIC Link is Up<100 Mbps Full Duplex>
[   23.085673] Bluetooth: Core ver 2.15
[   23.089107] NET: Registered protocol family 31
[   23.089110] Bluetooth: HCI device and connection manager initialized
[   23.089115] Bluetooth: HCI socket layer initialized
[   23.437979] Bluetooth: L2CAP ver 2.15
[   23.437984] Bluetooth: L2CAP socket layer initialized
[   23.631442] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   23.631447] Bluetooth: BNEP filters: protocol multicast
[   23.800829] Bluetooth: SCO (Voice Link) ver 0.6
[   23.800833] Bluetooth: SCO socket layer initialized
[   24.596158] 802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
[   24.596164] All bugs added by David S. Miller <davem@redhat.com>
[   32.807767] em1: no IPv6 routers present
[   50.304417] fuse init (API version 7.16)
[   50.336751] SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
[   50.402980] SELinux: initialized (dev fusectl, type fusectl), uses genfs_contexts
[   74.706396] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   74.900017] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   82.201493] SELinux: initialized (dev proc, type proc), uses genfs_contexts
[  108.286448] atkbd serio0: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
[  108.286455] atkbd serio0: Use 'setkeycodes e078 <keycode>' to make it known.
[  108.293646] atkbd serio0: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
[  108.293652] atkbd serio0: Use 'setkeycodes e078 <keycode>' to make it known.
[  114.300408] atkbd serio0: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
[  114.300420] atkbd serio0: Use 'setkeycodes e078 <keycode>' to make it known.
[  114.307761] atkbd serio0: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
[  114.307772] atkbd serio0: Use 'setkeycodes e078 <keycode>' to make it known.
[  120.117303] atkbd serio0: Unknown key pressed (translated set 2, code 0xf8 on isa0060/serio0).
[  120.117317] atkbd serio0: Use 'setkeycodes e078 <keycode>' to make it known.
[  120.125008] atkbd serio0: Unknown key released (translated set 2, code 0xf8 on isa0060/serio0).
[  120.125020] atkbd serio0: Use 'setkeycodes e078 <keycode>' to make it known.

2.
May  4 23:15:08 localhost kernel: imklog 5.7.9, log source = /proc/kmsg started.
May  4 23:15:08 localhost rsyslogd: [origin software="rsyslogd" swVersion="5.7.9" x-pid="844" x-info="http://www.rsyslog.com"] start
May  4 23:15:08 localhost NetworkManager[827]: <info> NetworkManager (version 0.8.998-2.git20110406.fc15) is starting...
May  4 23:15:08 localhost NetworkManager[827]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
May  4 23:15:08 localhost kernel: [    0.000000] Initializing cgroup subsys cpuset
May  4 23:15:08 localhost kernel: [    0.000000] Initializing cgroup subsys cpu
May  4 23:15:08 localhost kernel: [    0.000000] Linux version 2.6.38.2-9.fc15.i686 (mockbuild@x86-09.phx2.fedoraproject.org) (gcc version 4.6.0 20110329 (Red Hat 4.6.0-1) (GCC) ) #1 SMP Wed Mar 30 16:54:01 UTC 2011
May  4 23:15:08 localhost kernel: [    0.000000] BIOS-provided physical RAM map:
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 0000000000000000 - 000000000009d000 (usable)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 000000000009d000 - 00000000000a0000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 0000000000100000 - 00000000af63f000 (usable)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000af63f000 - 00000000af6bf000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000af6bf000 - 00000000af7bf000 (ACPI NVS)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000af7bf000 - 00000000af7ff000 (ACPI data)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000af7ff000 - 00000000af800000 (usable)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000af800000 - 00000000bc000000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000feb00000 - 00000000feb04000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000fed10000 - 00000000fed14000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000fed18000 - 00000000fed1a000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000fed1b000 - 00000000fed20000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000]  BIOS-e820: 00000000ffe00000 - 0000000100000000 (reserved)
May  4 23:15:08 localhost kernel: [    0.000000] Using x86 segment limits to approximate NX protection
May  4 23:15:08 localhost kernel: [    0.000000] DMI 2.6 present.
May  4 23:15:08 localhost kernel: [    0.000000] last_pfn = 0xaf800 max_arch_pfn = 0x100000
May  4 23:15:08 localhost kernel: [    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
May  4 23:15:08 localhost kernel: [    0.000000] init_memory_mapping: 0000000000000000-0000000036ffe000
May  4 23:15:08 localhost kernel: [    0.000000] RAMDISK: 372a8000 - 37ff0000
May  4 23:15:08 localhost kernel: [    0.000000] Allocated new RAMDISK: 362b6000 - 36ffd866
May  4 23:15:08 localhost kernel: [    0.000000] Move RAMDISK from 00000000372a8000 - 0000000037fef865 to 362b6000 - 36ffd865
May  4 23:15:08 localhost kernel: [    0.000000] ACPI: RSDP 000fe020 00024 (v02 ACRSYS)
May  4 23:15:08 localhost kernel: [    0.000000] ACPI: XSDT af7fe120 00074 (v01 ACRSYS ACRPRDCT 00000001      01000013)

3.
wpa_supplicant.log (END)
Comment 7 Jirka Klimes 2011-05-10 07:26:47 EDT
Hmm, we need (untruncated) /var/log/messages file to see NetworkManager logs (and its better to attach longer files as an attachment).

dmesg doesn't show errors with ath9k.

Please provide us output of the following commands:
$ ifconfig
$ iwconfig
$ iwlist wlan0 scan
Comment 8 Martin 2011-05-10 11:06:12 EDT
1.
em1       Link encap:Ethernet  HWaddr 00:26:2D:A8:A6:B4  
          inet addr:192.168.0.107  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::226:2dff:fea8:a6b4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1162806 errors:0 dropped:0 overruns:0 frame:0
          TX packets:646876 errors:0 dropped:0 overruns:0 carrier:7
          collisions:0 txqueuelen:1000 
          RX bytes:1723154379 (1.6 GiB)  TX bytes:44348271 (42.2 MiB)
          Interrupt:43 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:564 errors:0 dropped:0 overruns:0 frame:0
          TX packets:564 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:49560 (48.3 KiB)  TX bytes:49560 (48.3 KiB)

2.
lo        no wireless extensions.

em1       no wireless extensions.

wlan0     IEEE 802.11bgn  ESSID:off/any  
          Mode:Managed  Access Point: Not-Associated   Tx-Power=off   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Power Management:on

3.
wlan0     Failed to read scan data : Network is down
Comment 9 Jirka Klimes 2011-05-12 02:57:13 EDT
The interface is down, so you need to run this:

# ifconfig wlan0 up  (as root)
$ iwlist wlan0 scan

What about /var/log/messages file?
Comment 10 Martin 2011-05-12 08:52:22 EDT
Created attachment 498529 [details]
messages
Comment 11 Martin 2011-05-12 08:54:30 EDT
Created attachment 498530 [details]
iwlist wlan0 scan
Comment 12 Jirka Klimes 2011-05-13 06:12:45 EDT
Well, it looks like something blocks the device, most probably acer-wmi driver.

List rfkill switches with:
$ rfkill list

You can unblock all via:
$ rfkill unblock all

Removing 'acer-wmi' platform driver should help:
# rmmod acer-wmi

or permanently blacklist that driver in /etc/modprobe.d/blacklist.conf
Comment 13 Martin 2011-05-13 18:32:21 EDT
Success! Thanks for all your help.
Comment 14 Jirka Klimes 2011-05-16 07:23:09 EDT
Great, closing then.

If you happen to have an issue with acer-wmi driver in future, consider open a bug against kernel.

See also:
https://bugzilla.kernel.org/show_bug.cgi?id=31002
Comment 15 Radek Vykydal 2011-10-20 09:47:40 EDT
Just for reference, I hit the same problem on Dell Latitude D620 with F16 TC1. Removing dell_laptop and dell_wmi modules fixed it.

Note You need to log in before you can comment on or make changes to this bug.